import os


def format_size(size_bytes):
    """格式化文件大小为人类可读的形式"""
    for unit in ['B', 'KB', 'MB', 'GB', 'TB']:
        if size_bytes < 1024:
            return f"{size_bytes:.2f} {unit}"
        size_bytes /= 1024
    return f"{size_bytes:.2f} PB"


def ensure_directory_exists(directory):
    """确保目录存在，如果不存在则创建"""
    if not os.path.exists(directory):
        os.makedirs(directory)


def check_command_path(command, cwd=None):
    """检查命令路径是否存在exe文件
    :return 是否存在,命令exe文件全路径
    """
    command_path = command.split(" ")[0]
    if command_path == "start":
        return True, None
    exec_command_path = os.getcwd()
    if cwd:
        exec_command_path = os.path.join(exec_command_path, cwd)
    full_command_path = os.path.abspath(os.path.join(exec_command_path, command_path)) + ".exe"
    return os.path.exists(full_command_path), full_command_path
