import json
from enum import Enum

import launcher
from launcher.log import logger


class LogType(Enum):
    info = "信息"
    error = "错误"
    execute_command = "执行命令"
    command_out = "命令输出"


def custom_event(log_type, data):
    data = f"[{log_type.value}] {data}"

    match log_type:
        case LogType.info:
            logger.info(data)
        case LogType.error:
            logger.error(data)
        case LogType.execute_command:
            logger.info(data)
        case LogType.command_out:
            logger.info(data)
        case _:
            logger.info(data)

    data = json.dumps({"log": data + "\n"})
    js = f"var event = new CustomEvent('log', {{detail: {data}}}); window.dispatchEvent(event);"
    launcher.webview.window.evaluate_js(js)
